%define	version	1.0.1

%define major	2
%define libname %mklibname pcd %{major}

Summary:	Library for decoding PhotoCD images
Name:		libpcd
Version:	%{version}
Release:	%mkrel 2
License:	GPL
Group:		System/Libraries
URL:		http://linux.bytesex.org/fbida/libpcd.html
Source:		http://dl.bytesex.org/releases/%{name}/%{name}_%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{name} is a tiny library for decoding PhotoCD images. It used to come
bundled with xpcd, but software maintainer decided to release the library
separately after declaring xpcd obsolete.


%package	-n %{libname}
Summary:	Library for decoding PhotoCD images
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description	-n %{libname}
%{name} is a tiny library for decoding PhotoCD images. It used to come
bundled with xpcd, but software maintainer decided to release the library
separately after declaring xpcd obsolete.

%package	-n %{libname}-devel
Summary:	Development related files of %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description	-n %{libname}-devel
%{name} is a tiny library for decoding PhotoCD images. It used to come
bundled with xpcd, but software maintainer decided to release the library
separately after declaring xpcd obsolete.

This package contains all files you need to compile applications/libraries
that has Photo CD image support.

%prep
%setup -q

%build
export CFLAGS="%optflags"
%make

%install
rm -rf %{buildroot}
%makeinstall

rm -rf %buildroot/%{_libdir}/lib*.a

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc pcd.css pcd.html
%{_includedir}/*
%{_libdir}/lib*.so


%changelog
* Tue Oct 15 2019 tex - 1.0.1-2pclos2019
- rebuild against updates

* Sun May 14 2017 bb2 <bb2> - 1.0.1-2pclos2017
- rebuild for 2017

* Tue Nov 13 2007 Texstar <texstar@gmail.com> 1.0.1-1pclos2007
- import into pclos 2007 from Abel Cheung

